Slackware 9.0 & noyau 2.6.3.

Le
News
Bonjour;
Mon niveau est débutant.
J'utilise la distribution Linux Slackware 9.0 qui tourne sur un noyau
2.4.20.
Je souhaite passer au noyau 2.6.3 et je rencontre quelques difficultés,
malgré la procedure suivante:

_ Décompression des sources du noyau 2.6.3 dans le répertoire /usr/src
_ Création du lien ln -s /usr/src/linux-2.6.3 /usr/src/linux
_ Décompression des sources du programme module-init-tools-3.0 dans le
repertoire /install (que j'ai créé)
_ Compilation et installation des sources de module-init-tools-3.0
en utilisant:
-> ./configure --prefixe=/ --enable-dependency-tracking && make
&& make install
_ execution du script generate-modprobe.conf /etc/modprobe.conf
_ presence effective dans le repertoire /etc du fichier modprobe.conf
_ copie du fichier config-ide-2.4.20 dans /usr/src/linux et changement de
nom en .config
_ configuration des sources du noyau à l'aide de make menuconfig
_ lancement de la compilation:
-> make bzImage && make modules && make modules_install
_ copie des fichiers System.map bzImage et .config dans le repertoire /boot
_ bzImage est renommé en vmlinuz
_ j' execute lilo
_ enfin on me demande d'executer mkinitrd pour reconstruire le initrd.

Probleme je ne trouve pas cette commande. Peut etre porte t elle un autre
nom.
Est ce que on peut me l'indiquer.

Autre probleme, lorsque je redemarre, le systeme ne charge aucun module.
(lsmod = vide)
Si j'essaye dans charger un a l'aide de la commande modprobe, il me retourne
le mesage suivant:
QM_MODULES: Function not implemented.
Il semble qu'une fonction servant au chargement des modules ne soit pas
active.
J'ai essayé de la recherché dans le .config mais je n'ai rien trouvé.
Si qulequ'un a une solution.

D'avance merci.
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
youp
Le #1530062
News wrote:
_ Création du lien ln -s /usr/src/linux-2.6.3 /usr/src/linux


Il me semble que n'est plus necessaire avec les noyaux 2.6, par contre
il ne faut pas oublier de faire le make install a la fin. (et make
modules_install, mais ca c'est a confirmer)


_ Décompression des sources du programme module-init-tools-3.0 dans le
repertoire /install (que j'ai créé)
<snip>

Autre probleme, lorsque je redemarre, le systeme ne charge aucun module.
(lsmod = vide)
Si j'essaye dans charger un a l'aide de la commande modprobe, il me retourne
le mesage suivant:
QM_MODULES: Function not implemented.
Il semble qu'une fonction servant au chargement des modules ne soit pas
active.



Sauf erreur de ma part, module-init-tools est dans la distribution, il
suffit donc de le trouver sur le cdrom et de faire installpkg sur le
fichier .tgz
Le pbm avec QM_MODULES va disparaitre avec l'installation
module-init-tools et les modules seront charges.

voila, bon courage.

Rakotomandimby Mihamina
Le #1033489
youp wrote:
[...]

J'utilise une slack 9.1 et il me semble qu'elle est plus adapté au 2.6
que les versions precedentes .
Tu devrai essayer d'upgrader versla 9.1 avant d'y implanter le 2.6 .
Si tu es debutant en Linux c'est que tu viens d'installer la 9.0 , donc
reinstaller mais a partir de la 9.1 ne devrai pas te poser trop de soucis .


--
Rakotomandimby Mihamina Andrianifaharana
Tel : +33 2 38 76 43 65
http://stko.dyndns.info/site_principal/Members/mihamina
Galkine
Le #1033128
Le Mon, 05 Apr 2004 14:06:07 +0200, News a écrit :

Bonjour;
Mon niveau est débutant.
J'utilise la distribution Linux Slackware 9.0 qui tourne sur un noyau
2.4.20.
Je souhaite passer au noyau 2.6.3 et je rencontre quelques difficultés,
malgré la procedure suivante:

_ Décompression des sources du noyau 2.6.3 dans le répertoire /usr/src _
Création du lien ln -s /usr/src/linux-2.6.3 /usr/src/linux _
Décompression des sources du programme module-init-tools-3.0 dans le
repertoire /install (que j'ai créé)
_ Compilation et installation des sources de module-init-tools-3.0
en utilisant:
-> ./configure --prefixe=/ --enable-dependency-tracking &&
make
&& make install
il y a pas de e a prefix


Si j'essaye dans charger un a l'aide de la commande modprobe, il me
retourne le mesage suivant:
QM_MODULES: Function not implemented. Il semble qu'une fonction servant au
chargement des modules ne soit pas active.
J'ai essayé de la recherché dans le .config mais je n'ai rien trouvé.
Si qulequ'un a une solution.
tu as ce message d'erreur si tu as l'ancien lsmod

peut-être un problème lors de l'installation de ceux-ci ?
ect-ce que l'on trouve lsmod dans /usr/local/sbin ?

shal
Le #1032956
News wrote:
Bonjour;


salut,

Mon niveau est débutant.
J'utilise la distribution Linux Slackware 9.0 qui tourne sur un noyau
2.4.20.
Je souhaite passer au noyau 2.6.3 et je rencontre quelques difficultés,
malgré la procedure suivante:


....

_ Compilation et installation des sources de module-init-tools-3.0
en utilisant:
-> ./configure --prefixe=/ --enable-dependency-tracking && make
&& make install


Verfie que les lsmod et modprobe etc sont bien ceux que tu as compilé.
Autrement tu as des packages slackware tout pret :
http://tux.cprm.net/pub/slackware/slackware-current/slackware/a/module-init-tools-3.0-i486-1.tgz

....


_ enfin on me demande d'executer mkinitrd pour reconstruire le initrd.

Probleme je ne trouve pas cette commande. Peut etre porte t elle un autre
nom.
Est ce que on peut me l'indiquer.


Pas grave laisse tomber.


Autre probleme, lorsque je redemarre, le systeme ne charge aucun module.
(lsmod = vide)
Si j'essaye dans charger un a l'aide de la commande modprobe, il me retourne
le mesage suivant:
QM_MODULES: Function not implemented.


Publicité
Poster une réponse
Anonyme